#!/usr/bin/ruby

require 'socket'

if ARGV[0].nil?
	puts "Usage: #{File.basename($0)} host [port]"
	exit(1)
end

host = ARGV[0]
port = ARGV[1]
port ||= 4242

sck = TCPSocket.new(host, port)

job = 0
while reply = sck.gets
	case reply
		when /^QUIT:/
			sck.puts 'BYE'
			sleep 1
			sck.close
			puts "Quitting"
			exit
		when /^COMPILE:/
			arg = reply.delete('COMPILE:').chomp
			arch, package = arg.split(';')
			puts "Compiling '#{package}' for #{arch}"
			sleep time = rand(5)
			sck.puts "job #{job} - #{time} seconds: #{rand(2) == 0 ? 'DONE' : 'FAILED'}"
			job += 1
		when /^DEBUG:/
			puts reply
		else
			sck.puts "EINVCMD"
	end
end

sck.close
